Page MenuHomePhabricator

Graph extension does not have a fallback for non-JavaScript browsers
Closed, ResolvedPublic

Description

Having the graph be entirely missing when the user has JavaScript off is no good, there needs to be some reasonable fallback.


Version: master
Severity: major

Details

Reference
bz71227

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:52 AM
bzimport set Reference to bz71227.
bzimport added a subscriber: Unknown Object (MLST).
Anomie created this task.Sep 24 2014, 10:16 AM

How is this different from T87407?

The difference is "missing requirement" versus "implement a specific solution for the missing requirement".

The difference is "missing requirement" versus "implement a specific solution for the missing requirement".

If the graphs cannot be generated client-side, how can't they be generated server-side?

The difference is "missing requirement" versus "implement a specific solution for the missing requirement".

If the graphs cannot be generated client-side, how can't they be generated server-side?

I'm not sure what you're asking there. But perhaps this will answer your question anyway: Once the solution from T87407 is deployed (T90487 is the bug tracking that) and any necessary code (if any) is added to the extension to use it, this should be able to be closed too.

Legoktm renamed this task from No fallback for non-JavaScript browsers to Graph extension does not have a fallback for non-JavaScript browsers.Apr 16 2015, 7:28 PM
Legoktm set Security to None.
Yurik closed this task as Resolved.May 5 2015, 6:30 PM
Yurik claimed this task.

Graph is deployed, Graphoid is deployed. For now, graphoid fallback is used only by the older browsers, but I plan to start using it for anonymous user viewing as well. A proper announcement will be sent shortly.